Subject: [bug#34466] Fwd: Re: [bug#34466] [PATCH] gnu: Add coq-equations.

From: Julien Lepiller <[email-masked]>
Date: Wed, 13 Feb 2019 13:19:32 +0100

Le 2019-02-13 12:36, Dan Frumin a écrit :
> (sorry, sending this again because I forgot to CC the bugtracker)
> 
> 
> Hi Julien.
> 
> Thank you for your thorough comments, I really appreciate it!
> I hope that the quality of my patches increase in time so please bear
> with me for a bit :)
> 
> On 13-02-19 12:04, Julien Lepiller wrote:
>> 
>> We cannot use auto-generated tarballs from github, because we found 
>> that
>> they sometimes get regenerated in an unreproducible way, so it breaks 
>> the
>> checksum test. You can use this instead:
>> 
>> (method git-fetch)
>> (uri (git-reference
>>         (url "https://githu.com/mattam82/Coq-Equations.git")
>>         (commit (string-append "v" version "-8.8"))))
>> 
>> and update the sha256 accordingly. As an added bonus, this means that 
>> we
>> can always fetch from the software heritage in case the repo 
>> disappears
>> one day :)
> 
> I was not aware of that. How can I get the sha256 hash in this case?
> Normally I would do `guix download <url>`.

you can always try to build the package, which will fail and tell you
what the correct hash was. I forgot, the filename should be:

(file-name (git-file-name name version))

>> 
>> Please make sure that these two phases both return #t.
> 
> I thought that `invoke' automatically checks that the return code is 
> correct?

It does, and when the code is not correct, it throws an exception. When 
it is
correct, it returns #<unspecified>, so we need to explicitly return #t.

Thank you! I'll try to build the package and take care of the rest 
before pushing
your patch later today.